Bug 525986 - [abrt] crash detected in mercurial-hgk-1.3.1-3.fc12
Summary: [abrt] crash detected in mercurial-hgk-1.3.1-3.fc12
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mercurial
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Neal Becker
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6a143a85
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-28 04:03 UTC by A S Alam
Modified: 2013-07-03 00:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-28 11:15:48 UTC


Attachments (Terms of Use)
File: backtrace (7.85 KB, text/plain)
2009-09-28 04:03 UTC, A S Alam
no flags Details
backtrace with Debuginfo (7.85 KB, text/plain)
2009-10-28 08:07 UTC, A S Alam
no flags Details

Description A S Alam 2009-09-28 04:03:22 UTC
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Comment
-----
Try to run with python /usr/lib64/python2.6/site-packages/hgext/hgk.py


Additional information
======


Attached files
----
backtrace

cmdline
-----
python /usr/lib64/python2.6/site-packages/hgext/hgk.py 


component
-----
mercurial


executable
-----
/usr/lib64/python2.6/site-packages/hgext/hgk.py


kernel
-----
2.6.31.1-48.fc12.x86_64


package
-----
mercurial-hgk-1.3.1-3.fc12


uuid
-----
6a143a85

Comment 1 A S Alam 2009-09-28 04:03:28 UTC
Created attachment 362849 [details]
File: backtrace

Comment 2 Neal Becker 2009-09-28 11:13:11 UTC
I can't see any reason your python2.6 collections package doesn't have namedtuple.  Maybe something strange in PYTHONPATH?

Comment 3 Mads Kiilerich 2009-09-28 11:40:22 UTC
Yes; /usr/lib64/python2.6/collections.py imports "keyword" and finds /usr/lib64/python2.6/site-packages/hgext/keyword.py , so hgext must be in PYTHONPATH somehow.

Comment 4 A S Alam 2009-10-28 08:07:28 UTC
Created attachment 366395 [details]
backtrace with Debuginfo

Comment 5 Mads Kiilerich 2009-10-28 11:07:42 UTC
aalam: The new backtrace is exactly the same as the previous one. (And this a pure python package, so the concept of debuginfo doesn't apply.)

Neal guessed and asked about your PYTHONPATH. I analyzed further and concluded that PYTHONPATH _had_ to be the culprit. Could you look into that? Considering your email adress I assume that you know how to do that?

Comment 6 Neal Becker 2009-10-28 11:15:48 UTC
Problem is there are 2 keyword.py.  That's annoying, but I believe the real issue is that you're not supposed to run hgk like that.

Try:

hg view


Note You need to log in before you can comment on or make changes to this bug.